#TODO 详细情况可查阅block_show文件
from HPUL.py import*
#TODO 详细情况可查阅block_show文件

world = [["0" for i in range(100)] for j in range(100)] # 世界大小改为100*100,正方体方便计算
CIN : str = "" # 玩家输入
OUTPUT : str = "" # 错误输出
instruct_list=["w","a","s","d","/help"]   #用于储存指令的列表（随时添加）
OUTPUT_list=["指令执行完成","指令执行完成","指令执行完成","指令执行完成","输入w向上移动，a向左移动，s向下移动，d向右移动"]#储存客户端输出语句的列表（随时添加）
PLAYER_DEATH=["你摔死了","你淹死了","你被击杀了"]

class CreateHole:
    def __init__(self):
        self.craters = ["small", "medium", "large"] # 存放陨石的类型
        # 存放数据依次为: 撞击波及的范围,概率,长要求,宽要求
        self.crater_use = {
            "small" : [3, 11, 1, 1],
            "medium" : [5, 7, 3, 3],
            "large" : [7, 2, 5, 5]
        } 

    def crash(self):  # “陨石坑”函数
        _x : int = random.randint(0,39)
        _y : int = random.randint(9,14)
        _long : int = random.randint(1,5)
        _height : int = random.randint(1,5)
        crater : str = ""

        if _long * _height <= 1:
            crater = "small"
        elif _long * _height > 1 and _long * _height <= 9:
            crater = "medium"
        else:
            crater = "large"
        world[_x][_y] = "0"
        # 方圆之内只剩残骸(doge)
        _figure.add(_x,_x + self.crater_use[crater][1],_y,_y + self.crater_use[crater][1],world,"0")
        world[_x + self.crater_use[crater][1]][_y + 1 : _y + 3] = "1"
        world[_x + self.crater_use[crater][1] -1][_y + 1 : _y +3] = "1"
# CreateHole_ = CreateHole()
# CreateHole_.crash()

class PerlinNoise:
    pass

Temple_1=[
    ["9", "9", "9", "9", "9", "9", "9", "9", "9", "9", "9", "9", "9"],
    ["9", "9", "9", "9", "9", "9", "9", "9", "9", "9", "9", "9", "9"],
    ["9", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "9"],
    ["9", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "9"],
    ["9", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "9"],
    ["9", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "9"],
    ["9", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "9"],
    ["9", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "9"],
    ["9", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "9"],
    ["9", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "9"],
    ["9", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "9"],
    ["9", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "9"],
    ["9", "0", "0", "0", "0", "0", "13", "0", "0", "0", "0", "0", "9"],
    ["9", "9", "9", "9", "9", "9", "9", "9", "9", "9", "9", "9", "9"]
] 

Temple_2 = [
    ["9", "9", "9", "9", "9", "9", "9", "9", "9", "9", "9", "9", "9"],
    ["9", "9", "9", "9", "9", "9", "9", "9", "9", "9", "9", "9", "9"],
    ["9", "10", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "9"],
    ["9", "0", "10", "0", "0", "10", "0", "0", "0", "0", "0", "0", "9"],
    ["9", "0", "0", "0", "10", "0", "0", "0", "0", "0", "0", "0", "9"],
    ["9", "0", "0", "0", "10", "0", "0", "0", "0", "0", "0", "0", "9"],
    ["9", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "9"],
    ["9", "0", "0", "0", "10", "0", "0", "0", "0", "0", "0", "0", "9"],
    ["9", "0", "0", "0", "10", "0", "0", "0", "0", "0", "0", "0", "9"],
    ["9", "0", "0", "0", "10", "10", "0", "0", "0", "0", "0", "0", "9"],
    ["9", "0", "0", "0", "0", "10", "0", "0", "0", "0", "0", "0", "9"],
    ["9", "0", "0", "0", "10", "10", "0", "0", "0", "0", "0", "0", "9"],
    ["9", "0", "0", "0", "10", "0", "13", "0", "0", "0", "0", "0", "9"],
    ["9", "9", "9", "9", "9", "9", "9", "9", "9", "9", "9", "9", "9"]
] 
